From: "Michael Sterrett" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-fps/xonotic/
Date: Thu, 8 Oct 2015 08:36:55 +0000 (UTC) [thread overview]
Message-ID: <1444293405.4ba854d68216a898711645a9782584dbb6fb8090.mr_bones_@gentoo> (raw)
commit: 4ba854d68216a898711645a9782584dbb6fb8090
Author: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 8 08:36:27 2015 +0000
Commit: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Thu Oct 8 08:36:45 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ba854d6
version bump
Package-Manager: portage-2.2.20.1
games-fps/xonotic/Manifest | 1 +
games-fps/xonotic/xonotic-0.8.1.ebuild | 117 +++++++++++++++++++++++++++++++++
2 files changed, 118 insertions(+)
diff --git a/games-fps/xonotic/Manifest b/games-fps/xonotic/Manifest
index 6a57f89..5dcf3af 100644
--- a/games-fps/xonotic/Manifest
+++ b/games-fps/xonotic/Manifest
@@ -1 +1,2 @@
DIST xonotic-0.8.0.zip 999151784 SHA256 0a87c808827a8b234f2324b468ecb643aa48a6fd43322a29e616610dca316370 SHA512 49ae728f9269ff642540ec8a7ab52fb9624f3d05cab2b07c5a1aa87d4103d3acffad4e2a1f266d3976cd457e742a3a7a1fd4a774cbcde934b123ae3baa747332 WHIRLPOOL 85e747bb2fb5ad5394896a08055028439a2f1a154305d7101be8cb5a44a1e50bdb9b36fac526ff12c9db93915a8b5253a40cf7dc654271f20240e1f92e0b4cb5
+DIST xonotic-0.8.1.zip 984854761 SHA256 be8bcc41e2993a2f26d4d04c65a7eab810443bd98b11b45e482ffdbbf284c46f SHA512 adfce546257bdc7cfebe94f53eaa9cc9b19eaa546c6405e31ed6af080e3948732c960a024126202e5853cb98b955daadeeb5a96c602a6d4d83e284d3540214a4 WHIRLPOOL 4359263c98352a8b5d169147d9bfecb4258628f212d9a965f0d1577d0a8b2469648ae1ce21d8dc0ff622d20e126ea52e1464363f69fcf514991aefad71c1bee7
diff --git a/games-fps/xonotic/xonotic-0.8.1.ebuild b/games-fps/xonotic/xonotic-0.8.1.ebuild
new file mode 100644
index 0000000..cea7356
--- /dev/null
+++ b/games-fps/xonotic/xonotic-0.8.1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils check-reqs toolchain-funcs games
+
+MY_PN="${PN^}"
+DESCRIPTION="Fork of Nexuiz, Deathmatch FPS based on DarkPlaces, an advanced Quake 1 engine"
+HOMEPAGE="http://www.xonotic.org/"
+SRC_URI="http://dl.xonotic.org/${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa debug dedicated doc ode sdl"
+
+UIRDEPEND="
+ media-libs/libogg
+ media-libs/libtheora
+ media-libs/libvorbis
+ media-libs/libmodplug
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libXpm
+ x11-libs/libXext
+ x11-libs/libXdmcp
+ x11-libs/libXxf86dga
+ x11-libs/libXxf86vm
+ virtual/opengl
+ media-libs/freetype:2
+ alsa? ( media-libs/alsa-lib )
+ ode? ( dev-games/ode[double-precision] )
+ sdl? ( media-libs/libsdl[X,sound,joystick,opengl,video,alsa?] )"
+UIDEPEND="
+ x11-proto/xextproto
+ x11-proto/xf86dgaproto
+ x11-proto/xf86vidmodeproto
+ x11-proto/xproto"
+RDEPEND="
+ sys-libs/zlib
+ virtual/jpeg:62
+ media-libs/libpng:0
+ net-misc/curl
+ ~dev-libs/d0_blind_id-0.5
+ !dedicated? ( ${UIRDEPEND} )"
+DEPEND="${RDEPEND}
+ !dedicated? ( ${UIDEPEND} )"
+
+CHECKREQS_DISK_BUILD="1200M"
+CHECKREQS_DISK_USR="950M"
+
+S=${WORKDIR}/${MY_PN}
+
+pkg_pretend() {
+ check-reqs_pkg_pretend
+}
+
+pkg_setup() {
+ check-reqs_pkg_setup
+ games_pkg_setup
+}
+
+src_prepare() {
+ sed -i \
+ -e "/^EXE_/s:darkplaces:${PN}:" \
+ -e "s:-O3:${CFLAGS}:" \
+ -e "/-lm/s:$: ${LDFLAGS}:" \
+ -e '/^STRIP/s/strip/true/' \
+ source/darkplaces/makefile.inc || die
+
+ if ! use alsa; then
+ sed -i \
+ -e "/DEFAULT_SNDAPI/s:ALSA:OSS:" \
+ source/darkplaces/makefile || die
+ fi
+}
+
+src_compile() {
+ local t="$(use debug && echo debug || echo release)"
+ local i
+
+ tc-export CC CXX LD AR RANLIB
+
+ # use a for-loop wrt bug 473352
+ for i in sv-${t} $(use !dedicated && echo "cl-${t} $(use sdl && echo sdl-${t})") ; do
+ emake \
+ -C source/darkplaces \
+ DP_LINK_ODE=$(usex ode shared no) \
+ DP_FS_BASEDIR="${GAMES_DATADIR}/${PN}" \
+ ${i}
+ done
+}
+
+src_install() {
+ if ! use dedicated; then
+ dogamesbin source/darkplaces/${PN}-glx
+ newicon misc/logos/${PN}_icon.svg ${PN}.svg
+ make_desktop_entry ${PN}-glx "${MY_PN} (GLX)"
+
+ if use sdl; then
+ dogamesbin source/darkplaces/${PN}-sdl
+ make_desktop_entry ${PN}-sdl "${MY_PN} (SDL)"
+ fi
+ fi
+ dogamesbin source/darkplaces/${PN}-dedicated
+
+ dodoc Docs/*.txt
+ use doc && dohtml -r Docs
+
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins -r key_0.d0pk server data
+ prepgamesdirs
+
+ elog "If you are using opensource drivers you should consider installing: "
+ elog " media-libs/libtxc_dxtn"
+}
next reply other threads:[~2015-10-08 8:37 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-08 8:36 Michael Sterrett [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-12-02 14:29 [gentoo-commits] repo/gentoo:master commit in: games-fps/xonotic/ Agostino Sarubbo
2015-12-03 13:28 Agostino Sarubbo
2015-12-18 0:47 Michael Sterrett
2015-12-18 0:47 Michael Sterrett
2017-05-18 9:01 Lars Wendler
2017-05-18 9:02 Lars Wendler
2017-05-19 6:49 Lars Wendler
2017-05-31 7:51 Lars Wendler
2017-12-10 21:41 Michał Górny
2018-05-06 19:03 Matt Turner
2020-07-26 20:23 James Le Cuirot
2021-12-14 9:04 Sam James
2022-07-04 15:56 Ionen Wolkens
2022-07-04 15:56 Ionen Wolkens
2023-07-20 12:02 Ionen Wolkens
2023-07-20 12:02 Ionen Wolkens
2023-08-06 4:32 Ionen Wolkens
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1444293405.4ba854d68216a898711645a9782584dbb6fb8090.mr_bones_@gentoo \
--to=mr_bones_@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox